com.lowagie.text.pdf.parser

## Interface ContentOperator

All Known Implementing Classes:
  PdfContentStreamProcessor.BeginText, PdfContentStreamProcessor.EndText, PdfContentStreamProcessor.ModifyCurrentTransformationMatrix, PdfContentStreamProcessor.MoveNextLineAndShowText, PdfContentStreamProcessor.MoveNextLineAndShowTextWithSpacing, PdfContentStreamProcessor.PopGraphicsState, PdfContentStreamProcessor.ProcessGraphicsStateResource, PdfContentStreamProcessor.PushGraphicsState, PdfContentStreamProcessor.SetTextCharacterSpacing, PdfContentStreamProcessor.SetTextFont, PdfContentStreamProcessor.SetTextHorizontalScaling, PdfContentStreamProcessor.SetTextLeading, PdfContentStreamProcessor.SetTextRenderMode, PdfContentStreamProcessor.SetTextRise, PdfContentStreamProcessor.SetTextWordSpacing, PdfContentStreamProcessor.ShowText, PdfContentStreamProcessor.ShowTextArray, PdfContentStreamProcessor.TextMoveNextLine, PdfContentStreamProcessor.TextMoveStartNextLine, PdfContentStreamProcessor.TextMoveStartNextLineWithLeading, PdfContentStreamProcessor.TextSetTextMatrix

    public interface ContentOperator

Interface implemented by a series of content operators

Since:
  2.1.4

### Method Summary

Methods
`void` `invoke(PdfContentStreamProcessor processor, PdfLiteral operator, java.util.ArrayList operands)` Invokes a content operator.

### Method Detail

#### invoke

    void invoke(PdfContentStreamProcessor processor,
              PdfLiteral operator,
              java.util.ArrayList operands)

Invokes a content operator.

Parameters:
  `processor` - the processor that is dealing with the PDF content
  `operator` - the literal PDF syntax of the operator
  `operands` - the operands that come with the operator